<?xml version="1.0"?>
<doc>
    <assembly>
        <name>DotStatServices.AuthorizationManagement</name>
    </assembly>
    <members>
        <member name="T:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController">
            <summary>
            
            </summary>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.#ctor(Microsoft.AspNetCore.Http.IHttpContextAccessor,DotStat.Common.Auth.IAuthorizationManagement,DotStat.Common.Configuration.Interfaces.IAuthConfiguration,MapsterMapper.IMapper)">
            <summary>
            
            </summary>
            <param name="contextAccessor"></param>
            <param name="authorizationManagement"></param>
            <param name="authConfiguration"></param>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.MyRules">
            <summary>
            List authorization rules of an authenticated User
            </summary>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.GetAll">
            <summary>
            List all authorization rules
            </summary>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.GetById(System.Int32)">
            <summary>
            Get an authorization rule by ID
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.IsAuthorized(System.String,System.String,System.String,System.String,Estat.Sdmxsource.Extension.Constant.PermissionType)">
            <summary>
            Check if the current User is authorized for a specific scope.
            </summary>
            <param name="dataSpace"></param>
            <param name="artefactAgencyId"></param>
            <param name="artefactId"></param>
            <param name="artefactVersion"></param>
            <param name="requestedPermission"></param>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.Post(DotStat.Common.Model.UserAuthorization)">
            <summary>
            Create/update an authorization rule
            </summary>
            <param name="rule"></param>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.Delete(System.Int32)">
            <summary>
            Delete an authorization rule
            </summary>
            <param name="id"></param>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.GetArtefactTypes">
            <summary>
            Get the list of SDMX artefact types
            </summary>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.GetPermissionTypes">
            <summary>
            Get the list of available permissions
            </summary>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Controllers.AuthorizationRulesController.GetFlags(System.Enum)">
            <summary>
            List underlying permissions of a permission: eliminating the given one, None and the redundancies of permissions already included in intermediate ones
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Extensions.InScope(DotStat.Common.Model.UserAuthorization,System.Collections.Generic.IEnumerable{DotStat.Common.Model.UserAuthorization},DotStat.Common.Auth.DotStatPrincipal)">
            <summary>
            Checks if the rule is in scope of the user. The user shall see the rule if 
            - the rule is assigned to the user or any of his/her groups
            - the rule corresponds to a dataspace the user CanModifyStoreSettings of (has CanModifyStoreSettings permission on that dataspace via direct grant or group permission).
            </summary>
            <param name="rule">The rule to be checked whether is in scope of rules of the principal</param>
            <param name="scopeRules">Authorization rules granted to current principal</param>
            <param name="principal">Current principal</param>
            <returns></returns>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.HealthCheck.DbHealthCheck.#ctor(DotStat.Common.Configuration.Interfaces.IGeneralConfiguration)">
            <summary>
            
            </summary>
            <param name="configuration"></param>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.HealthCheck.DotStatHealthCheckOptions.#ctor">
            <summary>
            
            </summary>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.HealthCheck.ServiceHealthCheck.#ctor(DotStat.Common.Configuration.BaseConfiguration,DotStat.Common.Configuration.Interfaces.IAuthConfiguration)">
            <summary>
            
            </summary>
            <param name="configuration"></param>
            <param name="authConfiguration"></param>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.OperationResult`1.#ctor(System.Boolean,`0)">
            <summary>
            
            </summary>
            <param name="success"></param>
            <param name="payload"></param>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Startup.ConfigureServices(Microsoft.Extensions.DependencyInjection.IServiceCollection)">
            <summary>
            This method gets called by the runtime. Use this method to add services to the container.
            </summary>
            <param name="services"></param>
        </member>
        <member name="T:DotStatServices.AuthorizationManagement.Validation.UserAuthorizationValidator">
            <summary>
            
            </summary>
        </member>
        <member name="M:DotStatServices.AuthorizationManagement.Validation.UserAuthorizationValidator.#ctor">
            <summary>
            
            </summary>
        </member>
    </members>
</doc>
